#!/bin/bash
set -x
set -e
echo $AIDGE_DEPENDENCIES
if [[ $AIDGE_DEPENDENCIES ==  "" ]]; then # case for aidge_ core
  mkdir -p build # creating build if its not already there to hold the build of cpp files
  rm -rf build/* # build from scratch
else 
  for repo in $AIDGE_DEPENDENCIES ; do # case for other projects
    REPO_PATH=$(find /host/data1/is156025/tb256203/dev/eclipse_aidge/aidge_latest/ -type d -name $repo \
                                -not -path '*install*' \
                                -not -path '*.git*' \
                                -not -path '*miniconda*' \
                                -not -path '*conda*' \
                                -not -path '*.local*' \
                                -not -path "*lib*" \
                                -not -path "*/$repo/$repo" \
                                -print -quit) 

    cd $REPO_PATH
    mkdir -p build # creating build if its not already there to hold the build of cpp files
    rm -rf build/* # build from scratch
    pip install . -v
    cd -
  done
fi
set +x
set +e
